n=10;
N=20;
lc=0.1;
T=1;
nT=20;

Point(1) = {0,0,0,lc};
Point(2) = {0,2,0,lc};
Point(3) = {2,2,0,lc};
Point(4) = {2,1,0,lc};
Point(5) = {2,0,0,lc};
Point(6) = {1,0,0,lc};
Point(7) = {0.5,0,0,lc};
Point(8) = {0,1.8,0,lc};
Point(9) = {2,1.8,0,lc};
Point(10) = {2,1.5,0,lc};

Line(1) = {2,3};
Line(2) = {3,9};
Line(4) = {2,8};
Line(5) = {8,9};
Line(6) = {8,1};
Line(13) = {9,10};
Line(14) = {10,4};
Line(15) = {1,7};
Line(16) = {7,6};

Circle(9) = {6,5,4};
Circle(10) = {7,5,10};

Line Loop(17) = {-2,-1,4,5};
Plane Surface(18) = {17};
Line Loop(19) = {10,-13,-5,6,15};
Plane Surface(20) = {19};
Line Loop(21) = {10,14,-9,-16};
Plane Surface(22) = {21};
Transfinite Line {2,4,16,14} = n Using Progression 1;
Transfinite Line {5,1,10,9} = N Using Progression 1;

Transfinite Surface {18} = {2,3,9,8};
Transfinite Surface {22} = {10,4,6,7};
Recombine Surface {18,22};
Extrude Surface {18, {0,0,-T}}
{ Recombine; Layers { {nT}, {9000}, {T} }; };
Extrude Surface {22, {0,0,-T}}
{ Recombine; Layers { {nT}, {9000}, {T} }; };
Extrude Surface {20, {0,0,-T}}
{ Recombine; Layers { {nT}, {9000}, {T} }; };

Physical Surface(94) = {20,18,22};
Physical Surface(95) = {66,93,44};
Physical Surface(96) = {35};
Physical Surface(97) = {65,92};
Physical Surface(98) = {61};
Physical Surface(99) = {57,80,31};
Physical Surface(100) = {88,39};

Physical Volume(101) = {9000};
Point(48) = {0.5,0.5,0.5,1.0};
Point(49) = {1,1.5,-0.5,1.0};
