// Copyright (C) 2004 by OpenFlower Team
// http://sourceforge.net/projects/openflower/
// Licensed under the GNU GPL Version 2.

#ifndef POSTPROCFIELD_H
#define POSTPROCFIELD_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

class Variable;
class Mesh;

using namespace std;

class PostProcField
{
public:
  PostProcField(){};
  ~PostProcField(){};
  void setMesh(Mesh * _pMesh){ pMesh = _pMesh;};
  void setMesh(const Mesh * _pMesh){ pMesh = _pMesh;};
  virtual void PostProcVariable(double time, string fileName, const Variable& field){};

protected:
  const Mesh* pMesh;

};

#endif
