// Copyright (C) 2004 by OpenFlower Team
// http://sourceforge.net/projects/openflower/
// Licensed under the GNU GPL Version 2.

#ifndef PARSERNODE_H
#define PARSERNODE_H

#include <string>
#include <stdlib.h>

using namespace std;

class ParserNode 
{
public :
  ParserNode();
  ~ParserNode();

  static const int NOTHING;
  static const int OPERATION;
  static const int PARENTHESIS;
  static const int VALUE;
  static const int FUNCTION;
  static const int VARIABLE;

  ParserNode* left;
  ParserNode* right;
  int type;
  string expression;
  double value;
  double result;

};

#endif
