// Copyright (C) 2004 by OpenFlower Team
// http://sourceforge.net/projects/openflower/
// Licensed under the GNU GPL Version 2.

#ifndef ALGOALLENCAHN_H
#define ALGOALLENCAHN_H

#include <Algorithm.h>

using namespace std;

class Equation;

class AlgoAllenCahn : public Algorithm {
public:
  AlgoAllenCahn();
  virtual ~AlgoAllenCahn();

  virtual void execute();
  virtual double getStabilityTimeStep(); //! Calculates the Stability Time Step specific to this Algorithm.

};

#endif
