// Copyright (C) 2004 by OpenFlower Team
// http://sourceforge.net/projects/openflower/
// Licensed under the GNU GPL Version 2.

#ifndef ALGOSCALARDIFF_H
#define ALGOSCALARDIFF_H

#include <Algorithm.h>

using namespace std;

class Equation;

class AlgoScalarDiff : public Algorithm {
public:
  AlgoScalarDiff();
  virtual ~AlgoScalarDiff();

  virtual void execute();
  virtual double getStabilityTimeStep(); //! Calculates the Stability Time Step specific to this Algorithm.

};

#endif
