// Copyright (C) 2004 by OpenFlower Team
// http://sourceforge.net/projects/openflower/
// Licensed under the GNU GPL Version 2.

#ifndef EQNTEMPERATUREDIFFUSION_H
#define EQNTEMPERATUREDIFFUSION_H

#include "Equation.h"

class EqnTemperatureDiffusion : public Equation  {
public: 
  EqnTemperatureDiffusion();
  virtual ~EqnTemperatureDiffusion(){};

  virtual void readVirtual(ifstream& inputFile,string& keyword);
  virtual void addsItsVariables4PostProcessing(map<string,const Variable*> & variablesMap);

private:
  void addBC(ifstream& inputFile);
  void addOperator(ifstream& inputFile);
};

#endif
