// Copyright (C) 2004 by OpenFlower Team
// http://sourceforge.net/projects/openflower/
// Licensed under the GNU GPL Version 2.

#ifndef MESH_GMSH_H
#define MESH_GMSH_H

#include <stdio.h>
#include <stdlib.h>

#include "Mesh.h"

using namespace std;

class Mesh_gmsh : public Mesh {	
public: 
  Mesh_gmsh(){};
  virtual ~Mesh_gmsh(){};
  virtual void writeMeshVirtual(ifstream& dataFile) const;
	
	
protected:
  
  virtual void readFrontiersVirtual(ifstream& dataFile); //!< Reads the frontiers and the domain name related to a Gmsh file.
  virtual void readMeshVirtual(); //!< Reads a mesh from a Gmsh file
  
private:
  void calculatesAllFacesGmsh(); //!< Determines all faces (not only frontiers faces as in Gmsh file.
			
};	

#endif
