// Copyright (C) 2004 by flowerteam
// http://sourceforge.net/projects/openflower/
// Licensed under the GNU GPL Version 2.

#include "VarScalar.h"
using namespace std;


////////////////////////////////////////////////////////////
// Creates a new empty Variable
////////////////////////////////////////////////////////////
VarScalar::VarScalar()
{
/*  Name = "empty";
  Location="cell";                 // default location value at center of control volumes
  NbDimensions0 = 1;
  NbValues = 1;
  Values.resize(NbValues);
  Values[0] =0.;*/
}


////////////////////////////////////////////////////////////
// Creates a new Variable
////////////////////////////////////////////////////////////
/*VarScalar::VarScalar(const string _Name, const int _NbValues)
{
  Name = _Name;            // name of the variable
  Location="cell";         // cell: variable is located at center of control volumes
                           // face: variable is located at center of faces
  NbDimensions = 1;
  NbValues = _NbValues;
  Values.resize(NbValues);
  for(int i=0;i<NbValues;i++)
    {
    Values[i] =0.;
    }
}



void VarScalar::resize(const int _NbValues)
{
  NbValues = _NbValues;
  Values.resize(NbValues);
  for(int i=0;i<NbValues;i++) Values[i] = 0.;
}





////////////////////////////////////////////////////////////
// Adds two Scalars
////////////////////////////////////////////////////////////
void VarScalar::operator+=(const VarScalar& a)
{

  if((a.Location==Location)&&(a.Values.size()==Values.size()))
    {
    string s;
    s="_p_";
    Name += s + a.Name;
    for(int i=0;i<NbValues;i++)
      Values[i] += a.Values[i];
    }
  else
    {
    cerr << "Trying to add two Scalars of different types:"<<endl;
    cerr << "Scalar "<<a.Name << " with Scalar " << Name<<endl;
    exit(-1);
    }
}


////////////////////////////////////////////////////////////
// Substracts two Scalar
////////////////////////////////////////////////////////////
void VarScalar::operator-=(const VarScalar& a)
{

  if((a.Location==Location)&&(a.Values.size()==Values.size()))
    {
    string s;
    s="_m_";
    Name += s + a.Name;
    for(unsigned int i=0;i<NbValues;i++)
      Values[i] -= a.Values[i];
    }
  else
    {
    cerr << "Trying to subtract two Scalars of different types:"<<endl;
    cerr << "Scalar "<<a.Name << " with Scalar " << Name<<endl;
    exit(-1);
    }
}


////////////////////////////////////////////////////////////
// Multiplies two Scalar
////////////////////////////////////////////////////////////
void VarScalar::operator*=(const VarScalar& a)
{

  if((a.Location==Location)&&(a.Values.size()==Values.size()))
    {
    string s;
    s="_t_";
    Name += s + a.Name;
    for(unsigned int i=0;i<NbValues;i++)
      Values[i] *= a.Values[i];
    }
  else
    {
    cerr << "Trying to multiply two Scalars of different types:"<<endl;
    cerr << "Scalar "<<a.Name << " with Scalar " << Name<<endl;
    exit(-1);
    }
}


////////////////////////////////////////////////////////////
// Divides two Scalar
////////////////////////////////////////////////////////////
void VarScalar::operator/=(const VarScalar& a)
{

  if((a.Location==Location)&&(a.Values.size()==Values.size()))
    {
    string s;
    s="_d_";
    Name += s + a.Name;
    for(unsigned int i=0;i<NbValues;i++)
      Values[i] /= a.Values[i];
    }
  else
    {
    cerr << "Trying to divide two Scalars of different types:"<<endl;
    cerr << "Scalar "<<a.Name << " with Scalar " << Name<<endl;
    exit(-1);
    }
}



////////////////////////////////////////////////////////////
// Affects a Scalar to another
////////////////////////////////////////////////////////////
void VarScalar::operator=(const VarScalar& a)
{
  Name = a.Name;
  Location = a.Location;
  NbDimensions = a.NbDimensions;
  NbValues = a.NbValues;
  Values.resize(NbValues);
  Values = a.Values;
}



////////////////////////////////////////////////////////////
// Multiplies a Scalar by a vector of same size
////////////////////////////////////////////////////////////
void VarScalar::operator*=(const MyVector<double> & a)
{

  if(a.size()==NbValues)
    {
    for(unsigned int i=0;i<NbValues;i++)
      Values[i] *= a[i];
    }
  else
    {
    cerr << "Trying to multiply a scalar and a vector of different sizes:"<<endl;
    cerr << "Scalar "<<Name<<endl;
    exit(-1);
    }
}

*/

