// Copyright (C) 2004 by flowerteam
// http://sourceforge.net/projects/openflower/
// Licensed under the GNU GPL Version 2.

#include "VarVector.h"
using namespace std;



////////////////////////////////////////////////////////////
// Creates a new empty Variable
////////////////////////////////////////////////////////////
VarVector::VarVector()
{
/*
  Name = "empty";
  Location="cell";                 // default location value at center of control volumes
  NbDimensions = 1;
  NbValues = 1;
  Values.resizes(NbValues,NbDimensions);
*/
}


////////////////////////////////////////////////////////////
// Creates a new Variable
////////////////////////////////////////////////////////////
/*VarVector::VarVector(const string _Name, const int _NbValues, const int _NbDimensions)
{
  Name = _Name;               // name of the variable
  Location="cell";            // cell: variable is located at center of control volumes
                              // face: variable is located at center of faces
  NbDimensions = _NbDimensions;    // number of dimensions of the vector ( eg. 3 for velocity)
  NbValues = _NbValues;
  Values.resizes(NbValues,NbDimensions);
}


void VarVector::resize(const int _NbValues, const int _NbDimensions)
{
  NbValues = _NbValues;
  NbDimensions = _NbDimensions;
  Values.resizes(NbValues,NbDimensions);
  for(int j=0;j<NbDimensions;j++)
    {
    for(int i=0;i<NbValues;i++) Values[i][j] = 0.;
    }
}




void VarVector::operator += (const double a)
{
  for(unsigned int j=0;j<NbDimensions;j++)
    {
    for(unsigned int i=0;i<NbValues;i++) Values[i][j] += a;
    }
}

void VarVector::operator -= (const double a)
{
  for(unsigned int j=0;j<NbDimensions;j++)
    {
    for(unsigned int i=0;i<NbValues;i++) Values[i][j] -= a;
    }
}

void VarVector::operator *= (const double a)
{
  for(unsigned int j=0;j<NbDimensions;j++)
    {
    for(unsigned int i=0;i<NbValues;i++) Values[i][j] *= a;
    }
}

void VarVector::operator /= (const double a)
{
  for(unsigned int j=0;j<NbDimensions;j++)
    {
    for(unsigned int i=0;i<NbValues;i++) Values[i][j] /= a;
    }
}





////////////////////////////////////////////////////////////
// Adds two Scalars
////////////////////////////////////////////////////////////
void VarVector::operator+=(const VarVector& a)
{

  if((a.Location==Location)&&(a.Values.size()==Values.size()))
    {
    string s;
    s="_p_";
    Name += s + a.Name;
    for(unsigned int j=0;j<NbDimensions;j++)
      for(unsigned int i=0;i<NbValues;i++)
        Values[i][j] += a.Values[i][j];
    }
  else
    {
    cerr << "Trying to add two Scalars of different types:"<<endl;
    cerr << "Scalar "<<a.Name << " with Scalar " << Name<<endl;
    exit(-1);
    }
}


////////////////////////////////////////////////////////////
// Substracts two Scalar
////////////////////////////////////////////////////////////
void VarVector::operator-=(const VarVector& a)
{

  if((a.Location==Location)&&(a.Values.size()==Values.size()))
    {
    string s;
    s="_m_";
    Name += s + a.Name;
    for(unsigned int j=0;j<NbDimensions;j++)
      for(unsigned int i=0;i<NbValues;i++)
        Values[i][j] -= a.Values[i][j];
    }
  else
    {
    cerr << "Trying to subtract two Scalars of different types:"<<endl;
    cerr << "Scalar "<<a.Name << " with Scalar " << Name<<endl;
    exit(-1);
    }
}


////////////////////////////////////////////////////////////
// Multiplies two Scalar
////////////////////////////////////////////////////////////
void VarVector::operator*=(const VarVector& a)
{

  if((a.Location==Location)&&(a.Values.size()==Values.size()))
    {
    string s;
    s="_t_";
    Name += s + a.Name;
    for(unsigned int j=0;j<NbDimensions;j++)
      for(unsigned int i=0;i<NbValues;i++)
        Values[i][j] *= a.Values[i][j];
    }
  else
    {
    cerr << "Trying to multiply two Scalars of different types:"<<endl;
    cerr << "Scalar "<<a.Name << " with Scalar " << Name<<endl;
    exit(-1);
    }
}


////////////////////////////////////////////////////////////
// Divides two Scalar
////////////////////////////////////////////////////////////
void VarVector::operator/=(const VarVector& a)
{

  if((a.Location==Location)&&(a.Values.size()==Values.size()))
    {
    string s;
    s="_d_";
    Name += s + a.Name;
    for(unsigned int j=0;j<NbDimensions;j++)
      for(unsigned int i=0;i<NbValues;i++)
        Values[i][j] /= a.Values[i][j];
    }
  else
    {
    cerr << "Trying to divide two Scalars of different types:"<<endl;
    cerr << "Scalar "<<a.Name << " with Scalar " << Name<<endl;
    exit(-1);
    }
}



////////////////////////////////////////////////////////////
// Affects a Scalar to another
////////////////////////////////////////////////////////////
void VarVector::operator=(const VarVector& a)
{
  Name = a.Name;
  Location = a.Location;
  NbDimensions = a.NbDimensions;
  NbValues = a.NbValues;
  Values.resizes(NbValues,NbDimensions);
  Values = a.Values;
}


////////////////////////////////////////////////////////////
// Multiplies a Scalar by a vector of same size
////////////////////////////////////////////////////////////
void VarVector::operator*=(const MyVector<double> & a)
{

  if(a.size()==NbValues)
    {
    for(unsigned int j=0;j<NbDimensions;j++)
      for(unsigned int i=0;i<NbValues;i++)
        Values[i][j] *= a[i];
    }
  else
    {
    cerr << "Trying to multiply a scalar and a vector of different sizes:"<<endl;
    cerr << "Scalar "<<Name<<endl;
    exit(-1);
    }
}
*/
